## org.openorb.CORBA.dii
Class Environment

    java.lang.Object
      |
      +--org.omg.CORBA.Environment
            |
            +--org.openorb.CORBA.dii.Environment

public class Environment
extends Environment

This class implements the OMG class : Environment

Version:
  $Revision: 1.5 $ $Date: 2002/07/15 14:53:41 $
Author:
  Jerome Daniel

Constructor Summary
`Environment()` Constructor

Method Summary
`void` `clear()` Initialize the exception
`java.lang.Exception` `exception()` Return the exception
`void` `exception(java.lang.Exception except)` Set the exception

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    public Environment()

  Constructor

Method Detail

### exception

    public void exception(java.lang.Exception except)

  Set the exception
  Overrides:
    `exception` in class `Environment`

### exception

    public java.lang.Exception exception()

  Return the exception
  Overrides:
    `exception` in class `Environment`

### clear

    public void clear()

  Initialize the exception
  Overrides:
    `clear` in class `Environment`